Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Размер в формате "NхШаг"

Размер в формате "NхШаг"

Ответ
Поиск в этой теме
Непрочитано 12.09.2013, 15:43 #1
Размер в формате "NхШаг"
sam_n
 
Регистрация: 04.06.2013
Сообщений: 34

В очередной раз хочу поднять тему о добавлении к размерам шага в формате "NхШаг=". После долгого прочесывания самым толковым показался такой лисп

Код:
[Выделить все]
 (defun C:shag (/ *error* adoc name_ent list_ent dim_value n1)
  (vl-load-com)
  (defun *error* (msg)
    (vla-endundomark adoc)
    (princ "Работа программы прервана пользователем")
  )
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
  )
  (initget 6)
  (if (not _var_n)
    (setq _var_n0 100)
  )
  (setq	_var_n
	 (getint (strcat "\nВведите положительное целое число <"
			 (rtos _var_n0)
			 ">: "
		 )
	 )
  )
  (if (not _var_n)
    (setq _var_n _var_n0)
    (setq _var_n0 _var_n)
  )
  (setq name_ent (entsel "\nВыберите размер: "))
  (if name_ent
    (progn
      (setq list_ent (entget (car name_ent)))
      (while (not
	       (= (cdr (assoc 0 list_ent)) "DIMENSION")
	     )
	(setq name_ent (entsel "\nВыберите размер: "))
      )
      (setq list_ent  (entget (car name_ent))
	    dim_value (cdr (assoc 42 list_ent))
	    n1	      (rtos (/ dim_value _var_n) 2 0)
      )
      (entmod
	(subst
	  (cons	1
		(strcat	n1
			"x"
			(itoa _var_n)
			"=<>"
		)
	  )
	  (assoc 1 list_ent)
	  list_ent
	)
      )
    )
    (princ "Размер не выбран!")
  )
  (vla-endundomark adoc)
  (princ))
Сам в лиспе слаб и поэтому не могу устранить недостатки:
- надо выделять каждый размер отдельно
- если в самом размере было перебитое, а не истинное значение, лисп это не учитывает
Не найдется на форуме доброго человека?

Последний раз редактировалось sam_n, 15.09.2013 в 11:51. Причина: Описка
Просмотров: 6885
 
Непрочитано 13.09.2013, 14:40
#2
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,799
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Код:
[Выделить все]
 (vl-load-com)
(defun c:dimstxt (/ adoc selset str)
  ;;DimSetTXT
  (setq str (getstring "\nВведите строку: "))
  (vla-startundomark (setq adoc (vla-get-activedocument (vlax-get-acad-object))))
  (if (= (type (setq selset (vl-catch-all-apply
                              (function
                                (lambda ()
                                  (ssget "_:L" '((0 . "DIMENSION"))) ;_ end of ssget
                                  ) ;_ end of lambda
                                ) ;_ end of function
                              ) ;_ end of vl-catch-all-apply
                     ) ;_ end of setq
               ) ;_ end of type
         'pickset
         ) ;_ end of =
    (foreach ent (mapcar (function vlax-ename->vla-object)
                         (vl-remove-if 'listp (mapcar 'cadr (ssnamex selset)))
                         ) ;_ end of mapcar
      (vl-catch-all-apply
        (function
          (lambda ()
            (vla-put-color ent 1)
            ) ;_ end of lambda
          ) ;_ end of function
        ) ;_ end of vl-catch-all-apply
      (vl-catch-all-apply
        (function
          (lambda ()
            (vla-put-textoverride ent str)
            ) ;_ end of lambda
          ) ;_ end of function
        ) ;_ end of vl-catch-all-apply
      ) ;_ end of foreach
    ) ;_ end of if
  (vla-endundomark adoc)
  (princ)
  ) ;_ end of defun
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 13.09.2013, 15:54
#3
dip

проектировщик
 
Регистрация: 25.05.2007
г. Чебоксары
Сообщений: 205
<phrase 1=


Хорошо. Если бы можно было еще:
1. можно сделать так чтобы размер не менял цвета на красный.
2. вместо "введите строку" сделать "введите шаг", и чтобы он количество автоматически высчитывал. Например есть размер "1200". Прога запрашивает только шаг (например 200). И вот результат в виде 6х200=1200. Если бы еще количество менялось потом автоматически при растягивании размера, цены бы ей не было.
dip вне форума  
 
Непрочитано 13.09.2013, 22:54
#4
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Цитата:
Сообщение от dip Посмотреть сообщение
цены бы ей не было
И сколько лично Вы готовы на нее пожертвовать.
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
 
Непрочитано 14.09.2013, 10:02
#5
hwd

C, C++, C#
 
Регистрация: 07.10.2009
С-Пб.
Сообщений: 2,762
Отправить сообщение для hwd с помощью Skype™


Offtop:
Цитата:
Сообщение от Дима_ Посмотреть сообщение
И сколько лично Вы готовы на нее пожертвовать.
Так он же чётко указал цену:
Цитата:
Сообщение от dip
цены бы ей не было
__________________
Надеюсь, ты не социальный овощ? Это определяется делами! :welcome:
hwd вне форума  
 
Непрочитано 14.09.2013, 12:29
#6
gomer

строю, ломаю
 
Регистрация: 03.04.2008
Украина
Сообщений: 5,550


Цитата:
Сообщение от hwd Посмотреть сообщение
Так он же чётко указал цену:
ога, бесценный - наивысшая стадия обесцененного
gomer вне форума  
 
Автор темы   Непрочитано 15.09.2013, 11:52
#7
sam_n


 
Регистрация: 04.06.2013
Сообщений: 34


Чувствую себя очень виноватым, вставил по ошибке не тот код...
Вот в нем бы изменить выбор не одного объекта, а сразу многих, и чтоб принимал не только истинный размер,а и перебитый тоже.

Код:
[Выделить все]
 (defun C:shag (/ *error* adoc name_ent list_ent dim_value n1)
  (vl-load-com)
  (defun *error* (msg)
    (vla-endundomark adoc)
    (princ "Работа программы прервана пользователем")
  )
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
  )
  (initget 6)
  (if (not _var_n)
    (setq _var_n0 100)
  )
  (setq	_var_n
	 (getint (strcat "\nВведите положительное целое число <"
			 (rtos _var_n0)
			 ">: "
		 )
	 )
  )
  (if (not _var_n)
    (setq _var_n _var_n0)
    (setq _var_n0 _var_n)
  )
  (setq name_ent (entsel "\nВыберите размер: "))
  (if name_ent
    (progn
      (setq list_ent (entget (car name_ent)))
      (while (not
	       (= (cdr (assoc 0 list_ent)) "DIMENSION")
	     )
	(setq name_ent (entsel "\nВыберите размер: "))
      )
      (setq list_ent  (entget (car name_ent))
	    dim_value (cdr (assoc 42 list_ent))
	    n1	      (rtos (/ dim_value _var_n) 2 0)
      )
      (entmod
	(subst
	  (cons	1
		(strcat	n1
			"x"
			(itoa _var_n)
			"=<>"
		)
	  )
	  (assoc 1 list_ent)
	  list_ent
	)
      )
    )
    (princ "Размер не выбран!")
  )
  (vla-endundomark adoc)
  (princ))
sam_n вне форума  
 
Непрочитано 15.09.2013, 18:46
#8
dip

проектировщик
 
Регистрация: 25.05.2007
г. Чебоксары
Сообщений: 205
<phrase 1=


1. Вместо "введите строку" сделать "введите шаг", и чтобы он количество автоматически высчитывал. Например есть размер "1200". Прога запрашивает только шаг (например 200). И вот результат в виде 6х200=1200. Если бы еще количество менялось потом автоматически при растягивании размера.
2. Вот в нем бы изменить выбор не одного объекта, а сразу многих, и чтоб принимал не только истинный размер,а и перебитый тоже.
Если все это возможно сделать, я готов заплатить. Жду предложений в личку
dip вне форума  
 
Непрочитано 16.09.2013, 12:43
#9
DEM

YngIngKllr
 
Регистрация: 29.03.2005
СПб
Сообщений: 12,783


dip
Дык можно полем это сделать....
__________________
Шаг 12й......
Мои публикации
DEM вне форума  
 
Непрочитано 17.09.2013, 13:27
#10
dip

проектировщик
 
Регистрация: 25.05.2007
г. Чебоксары
Сообщений: 205
<phrase 1=


Цитата:
Сообщение от DEM Посмотреть сообщение
dip
Дык можно полем это сделать....
А как это сделать? Я пробовал, поле не ссылается на исходный размер. Пишет "Неверный выбор. К выбранному объекту нет доступа"
dip вне форума  
 
Автор темы   Непрочитано 19.09.2013, 11:22
#11
sam_n


 
Регистрация: 04.06.2013
Сообщений: 34


dip, а ты сошлись на размер извне, а потом это поле вставь в внутрь размера. Говорят, что иногда поле слетает, но у меня такого не было.

А вот кто бы лисп поправил
Вложения
Тип файла: dwg
DWG 2007
Чертеж.dwg (81.6 Кб, 1434 просмотров)
sam_n вне форума  
 
Непрочитано 19.09.2013, 19:34
1 | 1 #12
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,799
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от dip Посмотреть сообщение
Если бы еще количество менялось потом автоматически при растягивании размера, цены бы ей не было.
Цитата:
Сообщение от DEM Посмотреть сообщение
Дык можно полем это сделать...
Цитата:
Сообщение от sam_n Посмотреть сообщение
А вот кто бы лисп поправил
Пробуйте
Код:
[Выделить все]
(vl-load-com)
(defun c:DimSSF (/ adoc ss shg fld str)
  ;;;Dim Step Size to Field
  ;;;VVA for dwg.ru
  ;;;http://forum.dwg.ru/showthread.php?t=103609
  (vl-load-com)
  (initget 8)
  (setq shg (getint "\nШаг: "))
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
  ) ;_ end of vla-startundomark
  (if (= (type (setq ss (vl-catch-all-apply
                          (function
                            (lambda ()
                              (ssget "_:L" '((0 . "DIMENSION"))) ;_ end of ssget
                            ) ;_ end of lambda
                          ) ;_ end of function
                        ) ;_ end of vl-catch-all-apply
               ) ;_ end of setq
         ) ;_ end of type
         'pickset
      ) ;_ end of =
    (foreach en
             (mapcar (function vlax-ename->vla-object)
                     (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
             ) ;_ end of mapcar
      (setq fld (strcat
                  "%<\\AcExpr ("
                  "%<\\AcObjProp Object(%<\\_ObjId "
                  (vl-princ-to-string
                    (Get-ObjectID-x86-x64  en)
                  ) ;_ vl-princ-to-string
                  ">%).Measurement \\f \"%lu2\">%"
                  "/"
                  (itoa shg)
                  ") \\f \"%lu2%pr0\">%"
                ) ;_ strcat
      ) ;_ setq
      (setq str (strcat (itoa shg) "X" fld "=<>"))
      (vl-catch-all-apply
        (function
          (lambda ()(vla-put-textoverride en "")
            (vla-put-textoverride en str)
          ) ;_ end of lambda
        ) ;_ end of function
      ) ;_ end of vl-catch-all-apply
      (vl-cmdf "_updatefield" (vlax-vla-object->ename en) "")

    ) ;_ end of foreach
  ) ;_ end of if
  (vla-endundomark adoc)
  (princ)
) ;_ end of defun


;;--------------------------------------------------------
;; Функция получает строковое представление ObjectID
;; вне зависимости от того AutoCAD x86 или x64
;; Источник: "Field and objectid problem"

;;http://forums.autodesk.com/t5/Visual-LISP-AutoLISP-and-General/Field-and-objectid-problem/m-p/2478592/highlight/true#M276818
;; http://forum.dwg.ru/showthread.php?t=51822
;;--------------------------------------------------------
(defun Get-ObjectID-x86-x64 (obj / util)
  (setq util (vla-get-utility
               (vla-get-activedocument (vlax-get-acad-object))
             ) ;_ end of vla-get-Utility
  ) ;_ end of setq
  (if (= (type obj) 'ENAME)
    (setq obj (vlax-ename->vla-object obj))
  ) ;_ end of if
  (if (= (type obj) 'VLA-OBJECT)
    (if (> (vl-string-search "x64" (getvar "platform")) 0)
      (vlax-invoke-method
        util
        "GetObjectIdString"
        obj
        :vlax-false
      ) ;_ end of vlax-invoke-method
      (rtos (vla-get-objectid obj) 2 0)
    ) ;_ end of if
  ) ;_ end of if
) ;_ end of defun
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 18.06.2019 в 14:00.
VVA вне форума  
 
Непрочитано 20.09.2013, 07:45
#13
dip

проектировщик
 
Регистрация: 25.05.2007
г. Чебоксары
Сообщений: 205
<phrase 1=


То что нужно. У меня следующие предложения:
1) Размер в формате 5х200=1000 (количество в начале);
2) Количество знаков после запятой в поле Например: есть 2 размера 1000 и 900. Мы задаем шаг 200. И чтобы результат был следующим: 5x200=1000 и 4.5х200=900.
3) Есть возможность чтобы значение шага сохранялось для следующей операции (как в лиспе sam_n)?
4) Поле количество не привязана к lisp? Будет работать на автокаде, где не загружен этот лисп?

Последний раз редактировалось dip, 20.09.2013 в 10:39.
dip вне форума  
 
Непрочитано 05.06.2019, 07:39
#14
Зодчий1989


 
Регистрация: 09.01.2013
Сообщений: 100


Цитата:
Сообщение от VVA Посмотреть сообщение
Пробуйте
Отличная штука. Прям жизнь сразу становится легче.

Возможно введение модификаций?
1) Возможность чтобы значение шага сохранялось для следующей операции в запущенном автокаде.
2) Цикличность алгоритма до нажатия Esc.
3) Проверка на не введенный шаг и возврат к меню ввода шага, если поле пустое.

Как отблагодарить за сие чудо?
__________________
Не ошибается только тот, кто ничего не делает.
Зодчий1989 вне форума  
 
Непрочитано 05.06.2019, 08:23
#15
Кореш

Самоходная нейросеть
 
Регистрация: 12.12.2007
Питер
Сообщений: 758


Попробуйте kitox toolset
Кореш вне форума  
 
Непрочитано 05.06.2019, 15:44
1 | #16
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,799
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Зодчий1989, Сделал как понял
Код:
[Выделить все]
(defun C:DimSSF (/ adoc ss shg fld str)
  ;;;Dim Step Size to Field
  ;;;VVA for dwg.ru
  ;;;http://forum.dwg.ru/showthread.php?t=103609
  (vl-load-com)
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
  ) ;_ end of vla-startundomark
  (while (not(eq shg "Выход"))
    (if (not(numberp *DimSSF_SHG*))(initget 8 "Выход")(initget 6 "Выход"))
  (if (not(numberp *DimSSF_SHG*))
   (setq shg (getint  "\nШаг [Выход]: "))
   (setq shg (getint  (strcat "\nШаг [Выход] < " (itoa *DimSSF_SHG*) " >: " )))
  )
  (if (null shg)(setq shg *DimSSF_SHG*))
  (setq *DimSSF_SHG* shg)  
   (if (not(eq shg "Выход"))
     (progn
  (if (= (type (setq ss (vl-catch-all-apply
                          (function
                            (lambda ()
                              (ssget "_:L" '((0 . "DIMENSION"))) ;_ end of ssget
                            ) ;_ end of lambda
                          ) ;_ end of function
                        ) ;_ end of vl-catch-all-apply
               ) ;_ end of setq
         ) ;_ end of type
         'pickset
      ) ;_ end of =
    (foreach en
             (mapcar (function vlax-ename->vla-object)
                     (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
             ) ;_ end of mapcar
      (setq fld (strcat
                  "%<\\AcExpr ("
                  "%<\\AcObjProp Object(%<\\_ObjId "
                  (vl-princ-to-string
                    (Get-ObjectID-x86-x64  en)
                  ) ;_ vl-princ-to-string
                  ">%).Measurement \\f \"%lu2\">%"
                  "/"
                  (itoa shg)
                  ") \\f \"%lu2%pr0\">%"
                ) ;_ strcat
      ) ;_ setq
      (setq str (strcat (itoa shg) "X" fld "=<>"))
      (vl-catch-all-apply
        (function
          (lambda ()(vla-put-textoverride en "")
            (vla-put-textoverride en str)
          ) ;_ end of lambda
        ) ;_ end of function
      ) ;_ end of vl-catch-all-apply
      (vl-cmdf "_updatefield" (vlax-vla-object->ename en) "")

    ) ;_ end of foreach
  ) ;_ end of if
  )
     )
    )
  (vla-endundomark adoc)
  (princ)
) ;_ end of defun


;;--------------------------------------------------------
;; Функция получает строковое представление ObjectID
;; вне зависимости от того AutoCAD x86 или x64
;; Источник: "Field and objectid problem"

;;http://forums.autodesk.com/t5/Visual-LISP-AutoLISP-and-General/Field-and-objectid-problem/m-p/2478592/highlight/true#M276818
;; http://forum.dwg.ru/showthread.php?t=51822
;;--------------------------------------------------------
(defun Get-ObjectID-x86-x64 (obj / util)
  (setq util (vla-get-utility
               (vla-get-activedocument (vlax-get-acad-object))
             ) ;_ end of vla-get-Utility
  ) ;_ end of setq
  (if (= (type obj) 'ENAME)
    (setq obj (vlax-ename->vla-object obj))
  ) ;_ end of if
  (if (= (type obj) 'VLA-OBJECT)
    (if (> (vl-string-search "x64" (getvar "platform")) 0)
      (vlax-invoke-method
        util
        "GetObjectIdString"
        obj
        :vlax-false
      ) ;_ end of vlax-invoke-method
      (rtos (vla-get-objectid obj) 2 0)
    ) ;_ end of if
  ) ;_ end of if
) ;_ end of defun
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 18.06.2019 в 14:00.
VVA вне форума  
 
Непрочитано 05.06.2019, 15:54
#17
Зодчий1989


 
Регистрация: 09.01.2013
Сообщений: 100


Цитата:
Сообщение от VVA Посмотреть сообщение
Сделал как понял
Почти идеально. зациклить бы другую часть
Желательный порядок работы лиспа.
1) Нажимаю вынесенную кнопку на панели(макрос вызова напишу сам конечно)
2) Если запущен алгоритм первый раз за сессию ACAD, то просит ввести размер, иначе переход к п.4. Возможность перехода к п.3 в командной строке или выпадающем меню
3) Ввод шага
4) Клик на объект(или выбор объектов рамкой) с последующим появлением в его строке ШАГxКОЛ-ВО=РАЗМЕР. (зациклен до нажатия ESC с возможностью перехода к п.3 в командной строке или выпадающем меню).
__________________
Не ошибается только тот, кто ничего не делает.
Зодчий1989 вне форума  
 
Непрочитано 07.06.2019, 19:52
1 | 1 #18
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,799
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Вариант с зацикливанием выбора
Код:
[Выделить все]
(defun C:DimSSF (/ adoc ss shg fld str)
;;;Dim Step Size to Field
;;;VVA for dwg.ru
;;;http://forum.dwg.ru/showthread.php?t=103609
  (vl-load-com)
  (vla-startundomark
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
  ) ;_ end of vla-startundomark
  (while (not (eq shg "Выход"))
    (if (not (numberp *DimSSF_SHG*))
      (initget 8 "Выход")
      (initget 6 "Выход")
    ) ;_ end of if
    (if (not (numberp *DimSSF_SHG*))
      (setq shg (getint "\nШаг [Выход]: "))
      (setq
        shg (getint
              (strcat "\nШаг [Выход] < " (itoa *DimSSF_SHG*) " >: ")
            ) ;_ end of getint
      ) ;_ end of setq
    ) ;_ end of if
    (if (null shg)
      (setq shg *DimSSF_SHG*)
    ) ;_ end of if
    (setq *DimSSF_SHG* shg)
    (if (not (eq shg "Выход"))
      (progn
        (while (= (type (setq ss (vl-catch-all-apply
                                (function
                                  (lambda ()
                                    (ssget "_:L" '((0 . "DIMENSION"))) ;_ end of ssget
                                  ) ;_ end of lambda
                                ) ;_ end of function
                              ) ;_ end of vl-catch-all-apply
                     ) ;_ end of setq
               ) ;_ end of type
               'pickset
            ) ;_ end of =
          (foreach en
                   (mapcar
                     (function vlax-ename->vla-object)
                     (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
                   ) ;_ end of mapcar
            (setq fld (strcat
                        "%<\\AcExpr ("
                        "%<\\AcObjProp Object(%<\\_ObjId "
                        (vl-princ-to-string
                          (Get-ObjectID-x86-x64 en)
                        ) ;_ vl-princ-to-string
                        ">%).Measurement \\f \"%lu2\">%"
                        "/"
                        (itoa shg)
                        ") \\f \"%lu2%pr0\">%"
                      ) ;_ strcat
            ) ;_ setq
            (setq str (strcat (itoa shg) "X" fld "=<>"))
            (vl-catch-all-apply
              (function
                (lambda ()
                  (vla-put-textoverride en "")
                  (vla-put-textoverride en str)
                ) ;_ end of lambda
              ) ;_ end of function
            ) ;_ end of vl-catch-all-apply
            (vl-cmdf "_updatefield" (vlax-vla-object->ename en) "")

          ) ;_ end of foreach
        ) ;_ end of while
      ) ;_ end of progn
    ) ;_ end of if
  ) ;_ end of while
  (vla-endundomark adoc)
  (princ)
) ;_ end of defun

;;--------------------------------------------------------
;; Функция получает строковое представление ObjectID
;; вне зависимости от того AutoCAD x86 или x64
;; Источник: "Field and objectid problem"

;;http://forums.autodesk.com/t5/Visual-LISP-AutoLISP-and-General/Field-and-objectid-problem/m-p/2478592/highlight/true#M276818
;; http://forum.dwg.ru/showthread.php?t=51822
;;--------------------------------------------------------
(defun Get-ObjectID-x86-x64 (obj / util)
  (setq util (vla-get-utility
               (vla-get-activedocument (vlax-get-acad-object))
             ) ;_ end of vla-get-Utility
  ) ;_ end of setq
  (if (= (type obj) 'ENAME)
    (setq obj (vlax-ename->vla-object obj))
  ) ;_ end of if
  (if (= (type obj) 'VLA-OBJECT)
    (if (> (vl-string-search "x64" (getvar "platform")) 0)
      (vlax-invoke-method
        util
        "GetObjectIdString"
        obj
        :vlax-false
      ) ;_ end of vlax-invoke-method
      (rtos (vla-get-objectid obj) 2 0)
    ) ;_ end of if
  ) ;_ end of if
) ;_ end of defun
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 18.06.2019 в 13:59. Причина: Замечания #24
VVA вне форума  
 
Непрочитано 08.06.2019, 14:23
#19
p_sh

новичок
 
Регистрация: 19.06.2005
Ярославль
Сообщений: 3,415


у меня реализовано так:
если измерение не соответствует равенству N*Шаг=L
то текст изменяет цвет
Вложения
Тип файла: flv Project 1.flv (153.2 Кб, 43 просмотров)
__________________
хорошее - в обыденном
p_sh вне форума  
 
Непрочитано 10.06.2019, 06:50
#20
Зодчий1989


 
Регистрация: 09.01.2013
Сообщений: 100


Цитата:
Сообщение от VVA Посмотреть сообщение
Вариант с зацикливанием выбора
Уважаемый ,VVA, как Вас отблагодарить?

----- добавлено через ~3 ч. -----
Цитата:
Сообщение от p_sh Посмотреть сообщение
у меня реализовано так:
если измерение не соответствует равенству N*Шаг=L
то текст изменяет цвет
Категорически интересное решение. Что за дополнительную панель вы используете?
__________________
Не ошибается только тот, кто ничего не делает.
Зодчий1989 вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Размер в формате "NхШаг"

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Вертикальный размер wizds AutoCAD 3 02.05.2013 21:35
Как вставить символ "диаметр" в линейный размер Serghei AutoCAD 9 04.05.2010 11:42
Размер в листе показывает не размер детали! Witalij AutoCAD 6 24.06.2008 07:56
Пользовательский размер листа bimari AutoCAD 2 26.10.2006 18:14